Alembic: Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO > Class Template Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO > Class Template Reference

`#include <OGeomBase.h>`

Inheritance diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >:
[legend]
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >:
[legend]

## Public Types
typedef INFO | info_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >
typedef INFO | info_type
typedef OSchema< INFO > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
typedef OCompoundProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions
| OGeomBaseSchema ()
| OGeomBaseSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument(), const Argument &iArg3=Argument())
virtual void | reset ()
virtual bool | valid () const
Abc::OCompoundProperty | getArbGeomParams ()
Abc::OCompoundProperty | getUserProperties ()
Abc::OBox3dProperty | getChildBoundsProperty ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >
| OSchema ()
| OSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument(), const Argument &iArg3=Argument())
| OSchema (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument(), const Argument &iArg2=Argument())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
| OCompoundProperty ()
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, WrapExistingFlag iWrapFlag=kWrapExisting, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, TopFlag iTopFlag=kTop, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~OCompoundProperty ()
size_t | getNumProperties () const
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
OBaseProperty | getProperty (size_t i) const
OBaseProperty | getProperty (const std::string &iName) const
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::CompoundPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Member Functions
void | init (uint32_t iTsIndex, bool isSparse)
void | createSelfBoundsProperty (uint32_t iTsIndex, size_t iNumSamples)
| Creates the self bounds.
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
| OBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Protected Attributes
Abc::OBox3dProperty | m_selfBoundsProperty
Abc::OBox3dProperty | m_childBoundsProperty
Abc::OCompoundProperty | m_arbGeomParams
Abc::OCompoundProperty | m_userProperties
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
AbcA::CompoundPropertyWriterPtr | m_property

## Additional Inherited Members
Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< INFO >
static const char * | getSchemaTitle ()
static const char * | getSchemaBaseType ()
static const char * | getDefaultSchemaName ()
static bool | replaceOnSparse ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
static bool | matches (const AbcA::PropertyHeader &iHeader, SchemaInterpMatching iMatching=kStrictMatching)

## Detailed Description

template<class INFO>
class Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >

This class holds properties common to all classes with a physical volume.

- selfBounds
- childBounds (optional)
- GeomParams (optional)
- UserProperties (optional)

This class is used to encapsulate common functionality of the real Geometry schema classes, like OPoints and OPolyMesh and so on

## Constructor & Destructor Documentation

## ◆ OGeomBaseSchema() [1/2]

template<class INFO>

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::OGeomBaseSchema | ( |  | ) |
| inline

The default constructor creates an empty OSchema. Used to create "NULL/invalid" instances.

## ◆ OGeomBaseSchema() [2/2]

template<class INFO>

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::OGeomBaseSchema | ( | AbcA::CompoundPropertyWriterPtr | iParent,
|  | const std::string & | iName,
|  | const Argument & | iArg0 = Argument(),
|  | const Argument & | iArg1 = Argument(),
|  | const Argument & | iArg2 = Argument(),
|  | const Argument & | iArg3 = Argument() )
| inline

Delegates to Abc/OSchema, and then creates always-present properties

## Member Function Documentation

## ◆ reset()

template<class INFO>

virtual void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::reset | ( |  | ) |
| inlinevirtual

Reimplemented in Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema, and Alembic::AbcGeom::ALEMBIC_VERSION_NS::OSubDSchema.

## ◆ valid()

template<class INFO>

virtual bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::OGeomBaseSchema< INFO >::valid | ( |  | ) | const
| inlinevirtual

Reimplemented in Alembic::AbcGeom::ALEMBIC_VERSION_NS::OCurvesSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::OFaceSetSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::ONuPatchSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPointsSchema, Alembic::AbcGeom::ALEMBIC_VERSION_NS::OPolyMeshSchema, and Alembic::AbcGeom::ALEMBIC_VERSION_NS::OSubDSchema.

The documentation for this class was generated from the following file:

- AbcGeom/OGeomBase.h